;+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;+;	File:		TUNECVS.INC
;+;	Purpose:	OB-MX tuning CV definintions
;+;	Original:		1994-05-17	D.N. Lynx Crowe
;+;	Revision:	1	1994-05-17	D.N. Lynx Crowe
;+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

A_MM_IN1		equ		0			; voice A cvtable offset for MM VCO1 in
A_OB_IN1		equ		2			; voice A cvtable offset for OB VCO1 in
B_MM_IN1		equ		4			; voice B cvtable offset for MM VCO1 in
B_OB_IN1		equ		6			; voice B cvtable offset for OB VCO1 in

A_MM_IN2		equ		8			; voice A cvtable offset for MM VCO2 in
A_OB_IN2		equ		10			; voice A cvtable offset for OB VCO2 in
B_MM_IN2		equ		12			; voice B cvtable offset for MM VCO2 in
B_OB_IN2		equ		14			; voice B cvtable offset for OB VCO2 in

A_MM_NOISE		equ		16			; voice A cvtable offset for MM Noise in
A_OB_NOISE		equ		18			; voice A cvtable offset for OB Noise in
B_MM_NOISE		equ		20			; voice B cvtable offset for MM Noise in
B_OB_NOISE		equ		22			; voice B cvtable offset for OB Noise in

A_MM_RESON		equ		24			; voice A cvtable offset for MM Resonance
A_OB_RESON		equ		26			; voice A cvtable offset for OB Resonance
B_MM_RESON		equ		28			; voice B cvtable offset for MM Resonance
B_OB_RESON		equ		30			; voice B cvtable offset for OB Resonance

A_VCO1_PW		equ		32			; voice A cvtable offset for VCO1 pulse width
B_VCO1_PW		equ		36			; voice B cvtable offset for VCO1 pulse width
A_VCO2_PW		equ		40			; voice A cvtable offset for VCO2 pulse width
B_VCO2_PW		equ		44			; voice B cvtable offset for VCO2 pulse width

A_VCO1_FM		equ		48			; voice A cvtable offset for VCO1 FM
B_VCO1_FM		equ		52			; voice B cvtable offset for VCO1 FM
A_VCO2_FM		equ		56			; voice A cvtable offset for VCO2 FM
B_VCO2_FM		equ		60			; voice B cvtable offset for VCO2 FM

A_VCO1_PITCH	equ		64			; voice A cvtable offset for VCO1 pitch
A_VCO1_SCALE	equ		66			; voice A cvtable offset for VCO1 scale
B_VCO1_PITCH	equ		68			; voice B cvtable offset for VCO1 pitch
B_VCO1_SCALE	equ		70			; voice B cvtable offset for VCO1 scale

A_VCO2_PITCH	equ		72			; voice A cvtable offset for VCO2 pitch
A_VCO2_SCALE	equ		74			; voice A cvtable offset for VCO2 scale
B_VCO2_PITCH	equ		76			; voice B cvtable offset for VCO2 pitch
B_VCO2_SCALE	equ		78			; voice B cvtable offset for VCO2 scale

A_MM_FREQ		equ		80			; voice A cvtable offset for MM frequency
A_MM_SCALE		equ		82			; voice A cvtable offset for MM scale
B_MM_FREQ		equ		84			; voice B cvtable offset for MM frequency
B_MM_SCALE		equ		86			; voice B cvtable offset for MM scale

A_OB_FREQ		equ		88			; voice A cvtable offset for OB frequency
A_OB_SCALE		equ		90			; voice A cvtable offset for OB scale
B_OB_FREQ		equ		92			; voice B cvtable offset for OB frequency
B_OB_SCALE		equ		94			; voice B cvtable offset for OB scale

; The End --------------------------------------------------------------------
